# eth\_getStorageAt

1. #### Parameters

* <mark style="color:blue;">address</mark> string REQUIRED&#x20;

  The address to check for storage
* <mark style="color:blue;">position</mark> string REQUIRED

  The integer of the position in storage
* <mark style="color:blue;">blockNumber</mark> string REQUIRED

  The block number as a string in hexadecimal format or tags. The supported tag values include earliest for the earliest/genesis block, latest for the latest mined block, pending for the pending state/transactions, safe for the most recent secure block, and finalized for the most recent secure block accepted by more than 2/3 of validators. safe and finalized are only supported on Ethereum, Gnosis, Arbitrum, Arbitrum Nova, and Avalanche C-chain

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getStorageAt","params":["0xE592427A0AEce92De3Edee1F18E0157C05861564", "0x0", "latest"],"id":1,"jsonrpc":"2.0"}'

```

2. #### Returns

   <mark style="color:blue;">result</mark>-It returns the value from a storage position at a given address
